<CsoundSynthesizer>    
<CsOptions>
-odac -b10
</CsOptions>
<CsInstruments>
sr = 44100
kr = 4410
ksmps = 10
nchnls = 2 

;//length of soundfile
giflen init 0;

instr 1
;//retrieve file string form command line 
Sname strget 1
giflen  filelen Sname 
/*send value of length to host on channel lenght*/
chnset giflen, "length"
/*start instr 2 with duration giflen*/ 
event_i "i", 2, 0, giflen
endin

instr 2
ifirst = 0
Sname  strget  1

/*retrieve number of audio channels in file
so that we can add support for mono and stereo*/
ichnls filenchnls Sname
/*retrieve slider position from host application*/
ksearch chnget "skip"
/*set position to start playback from
ksearch chnget "skip"*/
ktrig changed ksearch 

reset:
k1 line 0, p3, p3  
iskip = i(ksearch);             
if(ktrig==0) then 
goto contin
else

/*reinitialise instrument every time 
a user changes the slider*/
reinit reset 

endif
contin: 
        ktime = k1+iskip;
        /*output time to our host*/
        chnset ktime, "time"
        if(ktime>giflen) then
        chnset 0, "time"
        event "e", 2, 0, 0
        endif
        if(ichnls==2) then
        a1, a2 soundin Sname, iskip
        outs a1, a2
        elseif(ichnls==1) then         
        a1 soundin Sname, iskip
        outs a1, a1
        endif
        rireturn 
endin

</CsInstruments>
<CsScore>
i1 0 1
</CsScore>
</CsoundSynthesizer>